APIReferenceWebhooks
Create a webhook
Registers a receiving URL and returns its signing secret. Posting a URL that already exists returns the existing webhook.
Authorization
apiKey AuthorizationBearer <token>
An API key from Settings, Developers: Authorization: Bearer kc_live_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{ "id": "string", "url": "http://example.com", "secret": "string", "codes": [ { "id": "string", "shortCode": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}